Commit 155591fa authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Excluded folium 0.12.0 from requirements due to...

Excluded folium 0.12.0 from requirements due to https://github.com/python-visualization/folium/issues/1438

. Fixed incompletely deleted coverage artifacts after running 'make clean'. Updated version info.
Signed-off-by: Daniel Scheffler's avatarDaniel Scheffler <danschef@gfz-potsdam.de>
parent 6c047cfc
Pipeline #18959 passed with stages
in 5 minutes and 9 seconds
...@@ -46,6 +46,7 @@ clean-test: ## remove test and coverage artifacts ...@@ -46,6 +46,7 @@ clean-test: ## remove test and coverage artifacts
## don't call coverage erase here because make install calls make clean which calls make clean-test ## don't call coverage erase here because make install calls make clean which calls make clean-test
## -> since make install should run without the test requirements we can't use coverage erase here ## -> since make install should run without the test requirements we can't use coverage erase here
rm -fr .tox/ rm -fr .tox/
rm -f .coverage
rm -fr .coverage.* rm -fr .coverage.*
rm -fr htmlcov/ rm -fr htmlcov/
rm -fr nosetests.html rm -fr nosetests.html
......
...@@ -22,5 +22,5 @@ ...@@ -22,5 +22,5 @@
# with this program. If not, see <http://www.gnu.org/licenses/>. # with this program. If not, see <http://www.gnu.org/licenses/>.
__version__ = '1.2.4' __version__ = '1.2.5'
__versionalias__ = '2020-11-12_02' __versionalias__ = '2021-02-02_01'
...@@ -45,7 +45,7 @@ The input images may have different spatial resolutions. Any needed resampling o ...@@ -45,7 +45,7 @@ The input images may have different spatial resolutions. Any needed resampling o
.. attention:: .. attention::
Please try avoid any spatial resampling of the input images before running AROSICS. It might affect Please try to avoid any spatial resampling of the input images before running AROSICS. It might affect
the accuracy of the computed misregistration. the accuracy of the computed misregistration.
......
...@@ -3,7 +3,7 @@ cmocean ...@@ -3,7 +3,7 @@ cmocean
gdal gdal
geoarray>=0.9.0 geoarray>=0.9.0
geojson geojson
folium>=0.6.0 folium>=0.6.0,!=0.12.0
geopandas geopandas
matplotlib matplotlib
numpy numpy
......
folium>=0.6.0 folium>=0.6.0,!=0.12.0
geojson geojson
plotly plotly
six six
...@@ -40,7 +40,7 @@ with open("arosics/version.py") as version_file: ...@@ -40,7 +40,7 @@ with open("arosics/version.py") as version_file:
req = [ req = [
'cartopy', 'cartopy',
'cmocean', 'cmocean',
'folium>=0.6.0', 'folium>=0.6.0,!=0.12.0',
'gdal', 'gdal',
'geojson', 'geojson',
'geoarray>=0.9.0', 'geoarray>=0.9.0',
......
...@@ -35,7 +35,7 @@ read -p "Please enter gitlab runner name: " runner_name ...@@ -35,7 +35,7 @@ read -p "Please enter gitlab runner name: " runner_name
echo "New gitlab runner image will named ${gitlab_runner}" echo "New gitlab runner image will named ${gitlab_runner}"
# NOTE: In case of locally stored images (like here), the docker pull policy 'never' must be used # NOTE: In case of locally stored images (like here), the docker pull policy 'never' must be used
# (see https://docs.gitlab.com/runner/executors/docker.html#how-pull-policies-work). # (see https://docs.gitlab.com/runner/executors/docker.html#how-pull-policies-work).
docker exec -it ${gitlab_runner} /bin/bash -c "\ docker exec -it ${gitlab_runner} /bin/bash -c "\
export RUNNER_EXECUTOR=docker && \ export RUNNER_EXECUTOR=docker && \
gitlab-ci-multi-runner register \ gitlab-ci-multi-runner register \
--non-interactive \ --non-interactive \
......
...@@ -23,7 +23,7 @@ dependencies: ...@@ -23,7 +23,7 @@ dependencies:
- shapely - shapely
- pip: - pip:
- folium>=0.6.0 - folium>=0.6.0,!=0.12.0
- geojson - geojson
- plotly - plotly
- six - six
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment